%define api_version	2
%define lib_major	0
%define lib_name	%mklibname idl %{api_version} %{lib_major}
%define develname	%mklibname -d idl %{api_version}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	IDL parsing library
Name:		libidl
Version:        0.8.14
Release:	%mkrel 11
URL:		http://orbit-resource.sf.net/
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/libIDL/%{url_ver}/libIDL-%{version}.tar.bz2
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:  pkgconfig(glib-2.0)

%description
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}%{api_version} = %{version}-%{release}
Obsoletes:	%{_lib}IDL2_0 < 0.8.14-8

%description -n %{lib_name}
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %develname
Summary:	Header files and libraries needed for libIDL development
Group:		Development/C
Conflicts:	ORBit-devel < 0.5.10
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Obsoletes:	%{_lib}IDL2-devel < 0.8.14-8

%description -n %develname
This package includes the header files and libraries needed for
developing or compiling programs using libIDL.

%prep
%setup -qn libIDL-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %buildroot%_libdir/*.la

%files -n %{lib_name}
%doc AUTHORS README NEWS BUGS ChangeLog
%{_libdir}/libIDL-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc tstidl.c
%{_bindir}/libIDL-config-2
%{_includedir}/*
%{_infodir}/*.info*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 0.8.14-11.mga9
+ Revision: 1791004
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.8.14-10.mga8
+ Revision: 1488983
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 0.8.14-9.mga7
+ Revision: 1256622
- rely on filetriggers for info system (mga#23482)

* Sun Jun 03 2018 wally <wally> 0.8.14-8.mga7
+ Revision: 1233889
- rename as libidl
- drop multiarch support
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 0.8.14-7.mga6
+ Revision: 940699
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.14-6.mga5
+ Revision: 743676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.14-5.mga5
+ Revision: 681313
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.14-4.mga4
+ Revision: 506891
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.14-3.mga3
+ Revision: 356778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 fwang <fwang> 0.8.14-2.mga2
+ Revision: 142858
- drop .la files

* Mon Jan 10 2011 dmorgan <dmorgan> 0.8.14-1.mga1
+ Revision: 5513
- imported package libIDL

